Page MenuHomePhabricator

Identify holes in the items terms tables for prod as of 17:00 on the 19th December for rebuilding
Closed, ResolvedPublic

Description

This should be done using the same process as T239470: Check the success of the initial terms migration (does it have holes)

Checklist:

Event Timeline

Addshore created this task.Dec 20 2019, 8:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2019, 8:33 AM

3:15 PM <joal> Amir1, addshore - Should be good with 'snapshot=2019-12-20'

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 20 2019, 10:59 PM

Finally I made it to work, waiting until it finishes.

So the maintenance script is on this row right now:

Rebuilding Q63394343 till Q63394492

It means anything after this doesn't need rebuild. I plan to fix the holes million by million using a screen.

Given that there was an almost a day between the time the bug got fixed and when the sqoop happened, the maintenance script got to fix around Q62Mio and still there's 17% inconsistency there. It's way better than ~60% though.

Addshore closed this task as Resolved.Dec 23 2019, 12:56 PM
Addshore updated the task description. (Show Details)

I plan to fix the holes million by million using a screen.

Awesome, keep T219123 updated! :)